<?php

namespace Modules\Expert\Entities;

use Elasticquent\ElasticquentTrait;
use Illuminate\Database\Eloquent\Model;
use Modules\Core\Entities\User;

class Protest extends Model
{
    use ElasticquentTrait;

    protected $fillable = ['user_expert_id','user_id','description'];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
    public function userexpert()
    {
        return $this->belongsTo(UserExpert::class, 'user_expert_id');
    }
}
